## fcitx-configtool 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project(fcitx-configtool)

FIND_PACKAGE(Gettext REQUIRED)
FIND_PROGRAM(INTLTOOL_EXTRACT intltool-extract)
FIND_PROGRAM(INTLTOOL_UPDATE intltool-update)
FIND_PROGRAM(INTLTOOL_MERGE intltool-merge)

add_subdirectory(gtk)
add_subdirectory(po)

=== gtk/CMakeLists.txt ===
include(FindPkgConfig)

find_package (GTK2 REQUIRED gtk)

message (STATUS "GTK2 includes:" ${GTK2_INCLUDE_DIRS})
message (STATUS "GTK2 libraries:" ${GTK2_LIBRARIES})

PKG_CHECK_MODULES(FCITX_CONFIG REQUIRED "fcitx-config >= 1.0" )
PKG_CHECK_MODULES(FCITX REQUIRED "fcitx" )
PKG_CHECK_MODULES(UNIQUE REQUIRED "unique-1.0" )

include_directories (${GTK2_INCLUDE_DIRS})
include_directories (${FCITX_CONFIG_INCLUDE_DIRS})
include_directories (${FCITX_INCLUDE_DIRS})
include_directories (${UNIQUE_INCLUDE_DIRS})

set( fcitx_config_gtk_sources
    addon_stuff.c
    config_widget.c
    configdesc.c
    keygrab.c
    main.c
    main_window.c
    menu.c
    skin_stuff.c
    table_stuff.c
    )

set(exec_prefix "${CMAKE_INSTALL_PREFIX}/bin")
set(datadir "${CMAKE_INSTALL_PREFIX}/share")
set(localedir "${datadir}/locale")

add_definitions(-DDATADIR="${datadir}")
add_definitions(-DLOCALEDIR="${localedir}")
add_definitions(-DBINDIR="${exec_prefix}")

add_executable( fcitx-config-gtk ${fcitx_config_gtk_sources} )

install(TARGETS fcitx-config-gtk RUNTIME DESTINATION bin)

target_link_libraries (fcitx-config-gtk ${GTK2_LIBRARIES})
target_link_libraries (fcitx-config-gtk ${FCITX_CONFIG_LIBRARIES})
target_link_libraries (fcitx-config-gtk ${FCITX_LIBRARIES})
target_link_libraries (fcitx-config-gtk ${UNIQUE_LIBRARIES})

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po) 

set(POT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/fcitx-configtool.pot)

add_custom_command(
    OUTPUT ${POT_FILE}
    COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_SOURCE_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-configtool --pot
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== debian/changelog ===
fcitx-configtool (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #604022)

 -- Aron Xu <happyaron.xu@gmail.com>  Sat, 18 Dec 2010 15:45:45 +0800

=== debian/control ===
Source: fcitx-configtool
Section: utils
Priority: optional
Maintainer: Aron Xu <happyaron.xu@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), cmake, quilt (>= 0.46-7~), fcitx (>= 1:4.0.1), intltool, libunique-dev, libgtk2.0-dev (>= 2.10)
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/fcitx
Vcs-Bzr: lp:~pkg-ime/fcitx/debian-fcitx-configtool
Vcs-Browser: https://code.launchpad.net/~pkg-ime/fcitx/debian-fcitx-configtool

Package: fcitx-config-common
Architecture: all
Depends: ${misc:Depends}
Description: graphic fcitx configuration tool - common files
 fcitx is a small and fast input server initially designed for Chinese,
 which is also useful for some other languages (especially CJK) now.
 .
 This package provides common files for the graphic configuration tool.


Package: fcitx-config-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-config-common (= ${source:Version})
Description: graphic fcitx configuration tool
 fcitx is a small and fast input server initially designed for Chinese, 
 which is also useful for some other languages (especially CJK) now.
 .
 This package provides GTK+ version of the graphic configuration tool.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS=-Wl,--as-needed

%:
	dh  $@

override_dh_auto_configure:
	rm -rf debian/po.bak
	mkdir debian/po.bak
	cp po/*.po debian/po.bak
	dh_auto_configure
override_dh_auto_clean:
	dh_auto_clean
	if [ -d debian/po.bak ];then cp debian/po.bak/*.po po; fi
	rm -rf debian/po.bak

=== debian/watch ===
version=3
http://googlecode.debian.net/p/fcitx/fcitx-configtool-(\d+.*)\.tar\.gz

## fcitx-configtool 0.3.1

=== gtk/CMakeLists.txt ===
include_directories (
    ${GTK2_INCLUDE_DIRS}
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
)

link_directories (
    ${GTK2_LIBRARY_DIRS}
    ${FCITX4_FCITX_LIBRARY_DIRS}
    ${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
    ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
)
if (HAVE_UNIQUE)
    include_directories (${UNIQUE_INCLUDE_DIRS})
    link_directories (${UNIQUE_LIBRARY_DIRS})
endif (HAVE_UNIQUE)

set( fcitx_config_gtk_sources
    sub_config_parser.c
    sub_config_widget.c
    config_widget.c
    configdesc.c
    keygrab.c
    main.c
    main_window.c
)

add_executable( fcitx-config-gtk ${fcitx_config_gtk_sources} )

install(TARGETS fcitx-config-gtk RUNTIME DESTINATION bin)

target_link_libraries (fcitx-config-gtk
                       ${GTK2_LIBRARIES}
                       ${FCITX4_FCITX_UTILS_LIBRARIES}
                       ${FCITX4_FCITX_CONFIG_LIBRARIES}
                       ${FCITX4_FCITX_LIBRARIES}
)

if (HAVE_UNIQUE)
    target_link_libraries (fcitx-config-gtk ${UNIQUE_LIBRARIES})
endif (HAVE_UNIQUE)

=== debian/changelog ===
fcitx-configtool (0.3.1-1build1) unstable; urgency=low

  * No change rebuild in updated build environment.

 -- Aron Xu <aron@debian.org>  Mon, 03 Oct 2011 10:58:55 +0800

fcitx-configtool (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Fri, 30 Sep 2011 00:53:43 +0800

=== debian/control ===
Source: fcitx-configtool
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.debian.org>
Uploaders: Aron Xu <aron@debian.org>
Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev, intltool, libunique-dev, libgtk2.0-dev (>= 2.10)
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-configtool.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-configtool.git

Package: fcitx-config-common
Architecture: all
Depends: ${misc:Depends}
Description: graphic Fcitx configuration tool - common files
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It is an ideal choice for the vast majority. Many of its features make
 users of Unix-like platforms have a fully modern input experience for
 the first time. It has also greatly lower the threshold for developers,
 making the development of extended funtions much easier than ever before.
 .
 This package provides common files for the graphic configuration tool.

Package: fcitx-config-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-config-common (= ${source:Version})
Description: graphic Fcitx configuration tool
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It is an ideal choice for the vast majority. Many of its features make
 users of Unix-like platforms have a fully modern input experience for
 the first time. It has also greatly lower the threshold for developers,
 making the development of extended funtions much easier than ever before.
 .
 This package provides GTK+ version of the graphic configuration tool.

## fcitx-configtool 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project(fcitx-configtool)

option(ENABLE_GTK2 "Enable GTK2 Version" On)
option(ENABLE_GTK3 "Enable GTK3 Version" Off)

find_package(PkgConfig REQUIRED)

PKG_CHECK_MODULES (GIO2 "gio-2.0 >= 2.26" REQUIRED)
PKG_CHECK_MODULES(ISO_CODES "iso-codes" REQUIRED)
_pkgconfig_invoke("iso-codes" ISO_CODES PREFIX "" "--variable=prefix")

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

include(FindPkgConfig)
FIND_PACKAGE(Gettext REQUIRED)
find_package(Fcitx REQUIRED)
FIND_PROGRAM(INTLTOOL_EXTRACT intltool-extract)
FIND_PROGRAM(INTLTOOL_UPDATE intltool-update)
FIND_PROGRAM(INTLTOOL_MERGE intltool-merge)
add_definitions("-D_GNU_SOURCE")
set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

set(datadir ${CMAKE_INSTALL_PREFIX}/share)
set(localedir ${CMAKE_INSTALL_PREFIX}/share/locale)
set(exec_prefix "${CMAKE_INSTALL_PREFIX}")
set(liblocaledir ${CMAKE_INSTALL_PREFIX}/lib/locale)

configure_file(config.h.in config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

if (ENABLE_GTK2)
    add_subdirectory(gtk)
endif (ENABLE_GTK2) 
if (ENABLE_GTK3)
    add_subdirectory(gtk3)
endif (ENABLE_GTK3)
add_subdirectory(po)

=== gtk/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
+PKG_CHECK_MODULES (GTK2 "gtk+-2.0 >= 2.22" REQUIRED)
+PKG_CHECK_MODULES (UNIQUE "unique-1.0")
+
 include_directories (
     ${GTK2_INCLUDE_DIRS}
+    ${GIO2_INCLUDE_DIRS}
     ${FCITX4_FCITX_INCLUDE_DIRS}
     ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
     ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
@@ -7,14 +11,15 @@
 
 link_directories (
     ${GTK2_LIBRARY_DIRS}
+    ${GIO2_LIBRARY_DIRS}
     ${FCITX4_FCITX_LIBRARY_DIRS}
     ${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
     ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
 )
-if (HAVE_UNIQUE)
+if (UNIQUE_FOUND)
     include_directories (${UNIQUE_INCLUDE_DIRS})
     link_directories (${UNIQUE_LIBRARY_DIRS})
-endif (HAVE_UNIQUE)
+endif (UNIQUE_FOUND)
 
 set( fcitx_config_gtk_sources
     sub_config_parser.c
@@ -24,6 +29,9 @@
     keygrab.c
     main.c
     main_window.c
+    im_widget.c
+    im.c
+    gdm-languages.c
 )
 
 add_executable( fcitx-config-gtk ${fcitx_config_gtk_sources} )
@@ -35,8 +43,9 @@
                        ${FCITX4_FCITX_UTILS_LIBRARIES}
                        ${FCITX4_FCITX_CONFIG_LIBRARIES}
                        ${FCITX4_FCITX_LIBRARIES}
+                       ${GIO2_LIBRARIES}
 )
 
-if (HAVE_UNIQUE)
+if (UNIQUE_FOUND)
     target_link_libraries (fcitx-config-gtk ${UNIQUE_LIBRARIES})
-endif (HAVE_UNIQUE)
+endif (UNIQUE_FOUND)

=== gtk3/CMakeLists.txt ===
PKG_CHECK_MODULES (GTK3 "gtk+-3.0" REQUIRED)
PKG_CHECK_MODULES(UNIQUE3 "unique-3.0")

include_directories (
    ${GTK3_INCLUDE_DIRS}
    ${GIO2_INCLUDE_DIRS}
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    ../gtk/
)

link_directories (
    ${GTK3_LIBRARY_DIRS}
    ${GIO2_LIBRARY_DIRS}
    ${FCITX4_FCITX_LIBRARY_DIRS}
    ${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
    ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
)
if (UNIQUE3_FOUND)
    include_directories (${UNIQUE3_INCLUDE_DIRS})
    link_directories (${UNIQUE3_LIBRARY_DIRS})
endif (UNIQUE3_FOUND)

set( fcitx_config_gtk3_sources
    ../gtk/sub_config_parser.c
    ../gtk/sub_config_widget.c
    ../gtk/config_widget.c
    ../gtk/configdesc.c
    ../gtk/keygrab.c
    ../gtk/main.c
    ../gtk/main_window.c
    ../gtk/im_widget.c
    ../gtk/im.c
    ../gtk/gdm-languages.c
)

add_executable( fcitx-config-gtk3 ${fcitx_config_gtk3_sources} )

install(TARGETS fcitx-config-gtk3 RUNTIME DESTINATION bin)

target_link_libraries (fcitx-config-gtk3
                       ${GTK3_LIBRARIES}
                       ${FCITX4_FCITX_UTILS_LIBRARIES}
                       ${FCITX4_FCITX_CONFIG_LIBRARIES}
                       ${FCITX4_FCITX_LIBRARIES}
                       ${GIO2_LIBRARIES}
)

if (UNIQUE3_FOUND)
    target_link_libraries (fcitx-config-gtk3 ${UNIQUE3_LIBRARIES})
endif (UNIQUE3_FOUND)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)

set(POT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/fcitx-configtool.pot)

add_custom_command(
OUTPUT ${POT_FILE}
COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_SOURCE_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-configtool --pot
WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== debian/changelog ===
fcitx-configtool (0.4.0-2) unstable; urgency=low

  * Enable GTK3, disable GTK2.
  * Correct mailing list address.
  * Use libunique3.

 -- Aron Xu <aron@debian.org>  Wed, 08 Feb 2012 02:04:57 +0800

fcitx-configtool (0.4.0-1) unstable; urgency=low

  * New upstream release: for fcitx 4.2.0.

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 05 Feb 2012 22:07:14 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: fcitx-configtool
 Section: utils
 Priority: optional
-Maintainer: IME Packaging Team <pkg-ime-devel@lists.debian.org>
-Uploaders: Aron Xu <aron@debian.org>
-Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev, intltool, libunique-dev, libgtk2.0-dev (>= 2.10)
+Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.0), intltool,
+ libunique-3.0-dev, libgtk-3-dev, iso-codes
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-configtool.git

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh  $@

override_dh_auto_configure:
	dh_auto_configure -Scmake -- -DENABLE_GTK2=Off -DENABLE_GTK3=On

=== debian/watch ===
version=3
http://googlecode.debian.net/p/fcitx/fcitx-configtool-(\d+.*)\.tar\.bz2

## fcitx-configtool 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,13 @@
 
 find_package(PkgConfig REQUIRED)
 
+if (ENABLE_GTK3)
+set(GLIB_REQUIRED_VERSION "2.28")
+else (ENABLE_GTK3)
+set(GLIB_REQUIRED_VERSION "2.26")
+endif (ENABLE_GTK3)
+
+PKG_CHECK_MODULES (GLIB2 "glib-2.0 >= ${GLIB_REQUIRED_VERSION}" REQUIRED)
 PKG_CHECK_MODULES (GIO2 "gio-2.0 >= 2.26" REQUIRED)
 PKG_CHECK_MODULES(ISO_CODES "iso-codes" REQUIRED)
 _pkgconfig_invoke("iso-codes" ISO_CODES PREFIX "" "--variable=prefix")
@@ -32,6 +39,10 @@
 set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
 set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
 
+string(REGEX REPLACE "^([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" FCITX4_MAJOR_VERSION "${FCITX4_VERSION}")
+string(REGEX REPLACE "^[0-9]+\\.([0-9]+)\\.[0-9]+.*" "\\1" FCITX4_MINOR_VERSION "${FCITX4_VERSION}")
+string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" FCITX4_PATCH_VERSION "${FCITX4_VERSION}")
+
 set(datadir ${CMAKE_INSTALL_PREFIX}/share)
 set(localedir ${CMAKE_INSTALL_PREFIX}/share/locale)
 set(exec_prefix "${CMAKE_INSTALL_PREFIX}")

=== gtk/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 include_directories (
     ${GTK2_INCLUDE_DIRS}
+    ${GLIB2_INCLUDE_DIRS}
     ${GIO2_INCLUDE_DIRS}
     ${FCITX4_FCITX_INCLUDE_DIRS}
     ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
@@ -11,6 +12,7 @@
 
 link_directories (
     ${GTK2_LIBRARY_DIRS}
+    ${GLIB2_LIBRARY_DIRS}
     ${GIO2_LIBRARY_DIRS}
     ${FCITX4_FCITX_LIBRARY_DIRS}
     ${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
@@ -43,6 +45,7 @@
                        ${FCITX4_FCITX_UTILS_LIBRARIES}
                        ${FCITX4_FCITX_CONFIG_LIBRARIES}
                        ${FCITX4_FCITX_LIBRARIES}
+                       ${GLIB2_LIBRARIES}
                        ${GIO2_LIBRARIES}
 )

=== debian/changelog ===
fcitx-configtool (0.4.1-1) unstable; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Sun, 18 Mar 2012 22:20:57 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.0), intltool,
  libunique-3.0-dev, libgtk-3-dev, iso-codes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-configtool.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-configtool.git

## fcitx-configtool 0.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,19 +2,20 @@
 
 project(fcitx-configtool)
 
-option(ENABLE_GTK2 "Enable GTK2 Version" On)
-option(ENABLE_GTK3 "Enable GTK3 Version" Off)
+option(ENABLE_GTK2 "Enable GTK2 Version" Off)
+option(ENABLE_GTK3 "Enable GTK3 Version" On)
 
 find_package(PkgConfig REQUIRED)
 
 if (ENABLE_GTK3)
-set(GLIB_REQUIRED_VERSION "2.28")
-else (ENABLE_GTK3)
-set(GLIB_REQUIRED_VERSION "2.26")
+PKG_CHECK_MODULES (FCITX_GCLIENT "fcitx-gclient >= 4.2.4" REQUIRED)
+PKG_CHECK_MODULES (GTK3 "gtk+-3.0" REQUIRED)
 endif (ENABLE_GTK3)
 
-PKG_CHECK_MODULES (GLIB2 "glib-2.0 >= ${GLIB_REQUIRED_VERSION}" REQUIRED)
-PKG_CHECK_MODULES (GIO2 "gio-2.0 >= 2.26" REQUIRED)
+if (ENABLE_GTK3)
+PKG_CHECK_MODULES (GTK2 "gtk+-2.0 >= 2.22" REQUIRED)
+endif (ENABLE_GTK3)
+
 PKG_CHECK_MODULES(ISO_CODES "iso-codes" REQUIRED)
 _pkgconfig_invoke("iso-codes" ISO_CODES PREFIX "" "--variable=prefix")
 
@@ -29,7 +30,7 @@
 
 include(FindPkgConfig)
 FIND_PACKAGE(Gettext REQUIRED)
-find_package(Fcitx REQUIRED)
+find_package(Fcitx 4.2.4 REQUIRED)
 FIND_PROGRAM(INTLTOOL_EXTRACT intltool-extract)
 FIND_PROGRAM(INTLTOOL_UPDATE intltool-update)
 FIND_PROGRAM(INTLTOOL_MERGE intltool-merge)
@@ -51,10 +52,11 @@
 configure_file(config.h.in config.h)
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
-if (ENABLE_GTK2)
-    add_subdirectory(gtk)
-endif (ENABLE_GTK2) 
 if (ENABLE_GTK3)
     add_subdirectory(gtk3)
 endif (ENABLE_GTK3)
+
+if (ENABLE_GTK2)
+    add_subdirectory(gtk)
+endif (ENABLE_GTK2)
 add_subdirectory(po)

=== gtk/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PKG_CHECK_MODULES (GTK2 "gtk+-2.0 >= 2.22" REQUIRED)
+PKG_CHECK_MODULES (DBUS_GLIB "dbus-glib-1" REQUIRED)
 PKG_CHECK_MODULES (UNIQUE "unique-1.0")
 
 include_directories (
@@ -8,6 +8,7 @@
     ${FCITX4_FCITX_INCLUDE_DIRS}
     ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
     ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
+    ${DBUS_GLIB_INCLUDE_DIRS}
 )
 
 link_directories (
@@ -17,6 +18,7 @@
     ${FCITX4_FCITX_LIBRARY_DIRS}
     ${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
     ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
+    ${DBUS_GLIB_LIBRARY_DIRS}
 )
 if (UNIQUE_FOUND)
     include_directories (${UNIQUE_INCLUDE_DIRS})
@@ -46,7 +48,7 @@
                        ${FCITX4_FCITX_CONFIG_LIBRARIES}
                        ${FCITX4_FCITX_LIBRARIES}
                        ${GLIB2_LIBRARIES}
-                       ${GIO2_LIBRARIES}
+                       ${DBUS_GLIB_LIBRARIES}
 )
 
 if (UNIQUE_FOUND)

=== gtk3/CMakeLists.txt ===

include_directories (
    ${GTK3_INCLUDE_DIRS}
    ${GLIB2_INCLUDE_DIRS}
    ${GIO2_INCLUDE_DIRS}
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    ${FCITX_GCLIENT_INCLUDE_DIRS}
)

link_directories (
    ${GTK3_LIBRARY_DIRS}
    ${GLIB2_LIBRARY_DIRS}
    ${GIO2_LIBRARY_DIRS}
    ${FCITX4_FCITX_LIBRARY_DIRS}
    ${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
    ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
    ${FCITX_GCLIENT_LIBRARY_DIRS}
)

set( fcitx_config_gtk3_sources
    sub_config_parser.c
    sub_config_widget.c
    config_widget.c
    configdesc.c
    keygrab.c
    main.c
    main_window.c
    im_widget.c
    gdm-languages.c
    im_dialog.c
    common.c
    im_config_dialog.c
)

add_executable( fcitx-config-gtk3 ${fcitx_config_gtk3_sources} )

install(TARGETS fcitx-config-gtk3 RUNTIME DESTINATION bin)

target_link_libraries (fcitx-config-gtk3
                       ${GTK3_LIBRARIES}
                       ${FCITX4_FCITX_UTILS_LIBRARIES}
                       ${FCITX4_FCITX_CONFIG_LIBRARIES}
                       ${FCITX4_FCITX_LIBRARIES}
                       ${GLIB2_LIBRARIES}
                       ${GIO2_LIBRARIES}
                       ${FCITX_GCLIENT_LIBRARIES}
)

=== debian/changelog ===
fcitx-configtool (0.4.4-1) unstable; urgency=low

  * New Upstream release 0.4.4.
  * Build it for gtk2 and split to fcitx-config-gtk2 package.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 06 Jun 2012 17:14:02 +0800

fcitx-configtool (0.4.3-2) unstable; urgency=low

  * Add .desktop file for fcitx-config-gtk3 but don't show it.
    Fix an problem: it willn't show icons when run it from CLI.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 16 May 2012 10:32:21 +0800

fcitx-configtool (0.4.3-1) unstable; urgency=low

  * New Upstream version 0.4.3

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 15 May 2012 11:36:37 +0800

fcitx-configtool (0.4.2-2) unstable; urgency=low

  * New upstream release.
  * -2 is due to a version uploaded to ppa:fcitx-team/nightly.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 27 Apr 2012 04:25:28 +0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.0), intltool,
- libunique-3.0-dev, libgtk-3-dev, iso-codes
+Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.4), intltool,
+ libunique-dev, libgtk-3-dev, iso-codes, libgtk2.0-dev (>= 2.22), pkg-config,
+ libdbus-glib-1-dev
 Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-configtool.git
@@ -31,7 +32,7 @@
 Package: fcitx-config-gtk
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-config-common (= ${source:Version})
-Description: graphic Fcitx configuration tool
+Description: graphic Fcitx configuration tool - Gtk+ 3 version
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved
  into a highly modularized, feature rich input method framework for
@@ -43,4 +44,21 @@
  the first time. It has also greatly lower the threshold for developers,
  making the development of extended funtions much easier than ever before.
  .
- This package provides GTK+ version of the graphic configuration tool.
+ This package provides GTK+ 3 version of the graphic configuration tool.
+
+Package: fcitx-config-gtk2
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-config-common (= ${source:Version})
+Description: graphic Fcitx configuration tool - Gtk+ 2 version
+ Fcitx is the Free Chinese Input Toy of X, which was initially designed
+ for Chinese users, and used XIM protocol. Now it has already evolved
+ into a highly modularized, feature rich input method framework for
+ Unix-like platforms supporting a considerable amount of frontends,
+ backends and modules.
+ .
+ It is an ideal choice for the vast majority. Many of its features make
+ users of Unix-like platforms have a fully modern input experience for
+ the first time. It has also greatly lower the threshold for developers,
+ making the development of extended funtions much easier than ever before.
+ .
+ This package provides GTK+ 2 version of the graphic configuration tool.

## fcitx-configtool 0.4.7

=== po/CMakeLists.txt ===
set(PO_LANGS de ja zh_CN zh_TW)
foreach(lang ${PO_LANGS})
  fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-configtool fcitx-configtool.pot)

=== debian/changelog ===
fcitx-configtool (0.4.7-1) unstable; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Fri, 02 Aug 2013 14:00:53 +0800

fcitx-configtool (0.4.6-3) unstable; urgency=low

  * fcitx-config-gtk but not fcitx-config-common depends on
    gnome-icon-theme-symbolic.

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 16 Feb 2013 17:30:16 +0800

fcitx-configtool (0.4.6-2) unstable; urgency=low

  * fcitx-config-gtk depends on 
    gnome-icon-theme-symbolic (Closes: #699418).

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 16 Feb 2013 17:20:23 +0800

fcitx-configtool (0.4.6-1) unstable; urgency=low

  * Imported Upstream version 0.4.6
  * debian/control:
    - Depend on gnome-icon-theme-symbolic (Closes: #699418)

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 15 Feb 2013 15:57:30 +0800

fcitx-configtool (0.4.5.2-1) experimental; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Mon, 14 Jan 2013 11:04:30 +0800

fcitx-configtool (0.4.5.1-1) experimental; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Fri, 30 Nov 2012 20:53:37 +0800

fcitx-configtool (0.4.5-1) experimental; urgency=low

  * New upstream release.
  * Drop patch accept by upstream.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 26 Sep 2012 20:55:14 +0800

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.4), intltool,
+Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 1:4.2.8), fcitx-bin,
  libunique-dev, libgtk-3-dev, iso-codes, libgtk2.0-dev (>= 2.22), pkg-config,
  libdbus-glib-1-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/fcitx
-Vcs-Git: git://git.debian.org/pkg-ime/fcitx-configtool.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-configtool.git
+Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-configtool.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-configtool.git
 
 Package: fcitx-config-common
 Architecture: all
@@ -31,7 +30,7 @@
 
 Package: fcitx-config-gtk
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-config-common (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-config-common (= ${source:Version}), gnome-icon-theme-symbolic
 Description: graphic Fcitx configuration tool - Gtk+ 3 version
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 	dh  $@
 
 override_dh_auto_configure:
-	dh_auto_configure -Scmake -- -DENABLE_GTK2=Off -DENABLE_GTK3=On
+	dh_auto_configure -Scmake -- -DENABLE_GTK2=On -DENABLE_GTK3=On

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-configtool-*\.*(.*)\.tar\.xz

## fcitx-configtool 0.4.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(fcitx-configtool)

option(ENABLE_GTK2 "Enable GTK2 Version" Off)
option(ENABLE_GTK3 "Enable GTK3 Version" On)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

find_package(PkgConfig REQUIRED)

if(ENABLE_GTK3)
  pkg_check_modules(FCITX_GCLIENT "fcitx-gclient>=4.2.6" REQUIRED)
  pkg_check_modules(GTK3 "gtk+-3.0>=3.4" REQUIRED)
endif()

if(ENABLE_GTK2)
  pkg_check_modules(GTK2 "gtk+-2.0>=2.22" REQUIRED)
endif()

pkg_check_modules(ISO_CODES "iso-codes" REQUIRED)
_pkgconfig_invoke("iso-codes" ISO_CODES PREFIX "" "--variable=prefix")

find_package(Fcitx 4.2.8 REQUIRED)
_fcitx_add_uninstall_target()
_fcitx_translate_add_handler(
  "${PROJECT_SOURCE_DIR}/cmake/fcitx-extract-glade.sh" glade)

add_definitions("-D_GNU_SOURCE")
set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-local-typedefs -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-local-typedefs -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

string(REGEX REPLACE "^([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" FCITX4_MAJOR_VERSION "${FCITX4_VERSION}")
string(REGEX REPLACE "^[0-9]+\\.([0-9]+)\\.[0-9]+.*" "\\1" FCITX4_MINOR_VERSION "${FCITX4_VERSION}")
string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" FCITX4_PATCH_VERSION "${FCITX4_VERSION}")

set(datadir ${CMAKE_INSTALL_PREFIX}/share)
set(localedir ${CMAKE_INSTALL_PREFIX}/share/locale)
set(exec_prefix "${CMAKE_INSTALL_PREFIX}")
set(liblocaledir ${CMAKE_INSTALL_PREFIX}/lib/locale)

configure_file(config.h.in config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(po)
add_subdirectory(gtk3)
add_subdirectory(gtk)

=== debian/changelog ===
fcitx-configtool (0.4.8-3) unstable; urgency=medium

  * Upload to unstable

 -- Aron Xu <aron@debian.org>  Sat, 05 Dec 2015 13:53:22 +0800

fcitx-configtool (0.4.8-2) experimental; urgency=medium

  * favor adwaita-icon-theme in Depends

 -- Aron Xu <aron@debian.org>  Thu, 12 Mar 2015 22:15:11 +0800

fcitx-configtool (0.4.8-1) experimental; urgency=medium

  * New upstream release.
  * Update copyright info
  * Bump std-ver: 3.9.4 -> 3.9.6, no change
  * Update homepage
  * Remove MimeType from .desktop file

 -- Aron Xu <aron@debian.org>  Tue, 10 Feb 2015 17:05:40 +0800

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,24 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 1:4.2.8), fcitx-bin,
- libunique-dev, libgtk-3-dev, iso-codes, libgtk2.0-dev (>= 2.22), pkg-config,
- libdbus-glib-1-dev
-Standards-Version: 3.9.4
-Homepage: http://code.google.com/p/fcitx
+Build-Depends: cmake,
+               debhelper (>= 9),
+               fcitx-bin,
+               fcitx-libs-dev (>= 1:4.2.8),
+               iso-codes,
+               libdbus-glib-1-dev,
+               libgtk-3-dev,
+               libgtk2.0-dev (>= 2.22),
+               libunique-dev,
+               pkg-config
+Standards-Version: 3.9.6
+Homepage: http://www.fcitx-im.org
 Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-configtool.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-configtool.git
 
 Package: fcitx-config-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: adwaita-icon-theme | gnome-icon-theme-symbolic, ${misc:Depends}
 Description: graphic Fcitx configuration tool - common files
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved
@@ -30,7 +37,9 @@
 
 Package: fcitx-config-gtk
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-config-common (= ${source:Version}), gnome-icon-theme-symbolic
+Depends: fcitx-config-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: graphic Fcitx configuration tool - Gtk+ 3 version
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved
@@ -47,7 +56,9 @@
 
 Package: fcitx-config-gtk2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-config-common (= ${source:Version})
+Depends: fcitx-config-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: graphic Fcitx configuration tool - Gtk+ 2 version
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved

## fcitx-configtool 0.4.10

=== gtk3/CMakeLists.txt ===
include(gresource)

gresource(${CMAKE_CURRENT_SOURCE_DIR} fcitx-config-gtk3.gresource.xml
  ${CMAKE_CURRENT_BINARY_DIR} RESOURCE_FILE RESOURCE_HEADER)

set(fcitx_config_gtk3_sources
  sub_config_parser.c
  sub_config_widget.c
  config_widget.c
  configdesc.c
  keygrab.c
  main.c
  main_window.c
  im_widget.c
  ui_widget.c
  gdm-languages.c
  im_dialog.c
  common.c
  im_config_dialog.c
  dummy_config.c
  )
set(fcitx_config_gtk3_headers
  common.h
  configdesc.h
  config_widget.h
  dummy_config.h
  gdm-languages.h
  im_config_dialog.h
  im_dialog.h
  ui_widget.h
  im_widget.h
  keygrab.h
  locarchive.h
  main_window.h
  sub_config_parser.h
  sub_config_widget.h
  )

fcitx_translate_add_sources(${fcitx_config_gtk3_sources}
  ${fcitx_config_gtk3_headers})
fcitx_translate_add_sources(EXTRACT_TYPE glade
  im_dialog.ui im_widget.ui)

if(NOT ENABLE_GTK3)
  return()
endif()

include_directories (
  ${GTK3_INCLUDE_DIRS}
  ${FCITX4_FCITX_INCLUDE_DIRS}
  ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
  ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
  ${FCITX_GCLIENT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  )

link_directories (
  ${GTK3_LIBRARY_DIRS}
  ${FCITX4_FCITX_LIBRARY_DIRS}
  ${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
  ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
  ${FCITX_GCLIENT_LIBRARY_DIRS}
  )

add_executable(fcitx-config-gtk3 ${fcitx_config_gtk3_sources}
  ${RESOURCE_FILE}
  ${RESOURCE_HEADER})

install(TARGETS fcitx-config-gtk3 RUNTIME DESTINATION bin)

target_link_libraries (fcitx-config-gtk3
  ${GTK3_LIBRARIES}
  ${FCITX4_FCITX_UTILS_LIBRARIES}
  ${FCITX4_FCITX_CONFIG_LIBRARIES}
  ${FCITX4_FCITX_LIBRARIES}
  ${FCITX_GCLIENT_LIBRARIES}
  )

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-configtool fcitx-configtool.pot)

=== debian/changelog ===
fcitx-configtool (0.4.10-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112889)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 15:05:06 +0300

fcitx-configtool (0.4.10-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Boyuan Yang ]
  * debian/control: Drop alternative dep on gnome-icon-theme-symbolic.
    (Closes: #1111071)

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Aug 2025 12:30:39 -0400

fcitx-configtool (0.4.10-3) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Bump debhelper compat to v12.
    + Set upstream project url back to GitHub project.

  [ Jeremy Bicha ]
  * Drop fcitx-config-gtk2. The gtk3 version has been recommended for years.
    (Closes: #885815)

 -- Boyuan Yang <byang@debian.org>  Sun, 05 Jan 2020 15:56:13 -0500

fcitx-configtool (0.4.10-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.1.5, no changes required.
    + Update email address for YunQiang Su and use the @debian.org one.
    + Mark fcitx-config-common as M-A: foreign.
    + Update Vcs fields to use the git repository on Salsa platform.
  * debian/rules:
    + Use "--as-needed" option for linker.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 27 Jul 2018 21:16:41 +0800

fcitx-configtool (0.4.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump version requirement for CMake and GTK+3.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Bump debhelper compat to v11.
  * Switch to debian-input-method maillist for maintainer field.
  * d/control: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Mon, 05 Feb 2018 18:53:48 +0800

fcitx-configtool (0.4.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh packaging instructions.
    + Apply "wrap-and-sort -abst".
    + Limit gtk+-3.0 version requirement.
    + Bump Standards-Version to 4.1.0.
    + Enable full hardening.
    + Point homepage to GitHub.
    + Use canonical Vcs URL.
    + Fix typo in d/control description.
  * Point d/watch to download.fcitx-im.org.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 29 Sep 2017 11:09:23 +0800

=== debian/control ===
Source: fcitx-configtool
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 cmake (>= 3.1),
 debhelper-compat (= 13),
 fcitx-bin,
 fcitx-libs-dev (>= 1:4.2.8),
 iso-codes,
 libdbus-glib-1-dev,
 libgtk-3-dev (>= 3.20),
 pkgconf,
Standards-Version: 4.7.2
Homepage: https://github.com/fcitx/fcitx-configtool
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-configtool.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-configtool

Package: fcitx-config-common
Architecture: all
Multi-Arch: foreign
Depends:
 adwaita-icon-theme,
 ${misc:Depends},
Description: graphic Fcitx configuration tool - common files
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It is an ideal choice for the vast majority. Many of its features make
 users of Unix-like platforms have a fully modern input experience for
 the first time. It has also greatly lower the threshold for developers,
 making the development of extended functions much easier than ever before.
 .
 This package provides common files for the graphic configuration tool.

Package: fcitx-config-gtk
Architecture: any
Depends:
 fcitx-config-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: graphic Fcitx configuration tool
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It is an ideal choice for the vast majority. Many of its features make
 users of Unix-like platforms have a fully modern input experience for
 the first time. It has also greatly lower the threshold for developers,
 making the development of extended functions much easier than ever before.
 .
 This package provides a graphical configuration tool.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh  $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_GTK2=Off -DENABLE_GTK3=On

dh_missing:
	dh_missing

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-configtool/ \
 fcitx-configtool-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate

## fcitx-configtool 0.4.10.19

=== debian/changelog ===
fcitx-configtool (0.4.10.19-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Thu, 08 Apr 2021 16:00:28 +0800

fcitx-configtool (0.4.10.14-1) unstable; urgency=medium

  * 添加香港繁体中文

 -- Shijie Chen <chenshijie@uniontech.com>  Tue, 5 Jan 2021 11:00:00 +0800

fcitx-configtool (0.4.10.13-1) unstable; urgency=medium

  * 更改为启动显示居中界面

 -- Shijie Chen <chenshijie@uniontech.com>  Tue, 15 Dec 2020 13:00:00 +0800

fcitx-configtool (0.4.10.12-1) unstable; urgency=medium

  * 更改fcitx强制依赖包到fcitx-config-gtk包下

 -- Shijie Chen <chenshijie@uniontech.com>  Mon, 07 Dec 2020 11:31:00 +0800

fcitx-configtool (0.4.10.11-1) unstable; urgency=medium

  * 添加fcitx强制依赖包

 -- Shijie Chen <chenshijie@uniontech.com>  Wed, 02 Dec 2020 17:25:50 +0800

fcitx-configtool (0.4.10.10-1) unstable; urgency=medium

  * 修复繁体中文图标不显示问题。

 -- Shijie Chen <chenshijie@uniontech.com>  Tue, 03 Nov 2020 12:35:50 +0800

fcitx-configtool (0.4.10.9-1) unstable; urgency=medium

  * 修复桌面快捷方式图标隐藏问题

 -- Shijie Chen <chenshijie@uniontech.com>  Mon, 02 Nov 2020 12:35:50 +0800

fcitx-configtool (0.4.10.8-1) unstable; urgency=medium

  * 修复桌面快捷方式图标多国语言翻译

 -- Shijie Chen <chenshijie@uniontech.com>  Mon, 02 Nov 2020 12:35:50 +0800

fcitx-configtool (0.4.10.7-1) unstable; urgency=medium

  * 修复通过启动器/任务栏快捷方式/桌面快捷方式打开输入法配置，任务栏有两个输入法配置图标(一般+必现+常用功能) $

 -- Shijie Chen <chenshijie@uniontech.com>  Thu, 29 Oct 2020 09:35:50 +0800

fcitx-configtool (0.4.10.1-2) unstable; urgency=medium

  * 修复通过启动器/任务栏快捷方式/桌面快捷方式打开输入法配置，任务栏有两个输入法配置图标(一般+必现+常用功能) 来源Bug-51015

 -- Shijie Chen <chenshijie@uniontech.com>  Tue, 27 Oct 2020 10:35:50 +0800

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  YunQiang Su <syq@debian.org>,
 Build-Depends:
  cmake (>= 3.1),
- debhelper-compat (= 13),
+ debhelper (>= 11),
  fcitx-bin,
  fcitx-libs-dev (>= 1:4.2.8),
  iso-codes,
  libdbus-glib-1-dev,
  libgtk-3-dev (>= 3.20),
- pkgconf,
-Standards-Version: 4.7.2
+ pkg-config,
+Standards-Version: 4.4.1
 Homepage: https://github.com/fcitx/fcitx-configtool
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-configtool.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-configtool
@@ -23,7 +23,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- adwaita-icon-theme,
+ adwaita-icon-theme | gnome-icon-theme-symbolic,
  ${misc:Depends},
 Description: graphic Fcitx configuration tool - common files
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
@@ -43,8 +43,29 @@
 Architecture: any
 Depends:
  fcitx-config-common (= ${source:Version}),
+ fcitx, 
+ fcitx-implugin,
+ fcitx-defaultim,
+ deepin-fcitxconfigtool-plugin,
  ${misc:Depends},
  ${shlibs:Depends},
+Suggests:
+ fcitx-frontend-all,
+ fcitx-frontend-gtk2,
+ fcitx-frontend-gtk3,
+ fcitx-frontend-qt4,
+ fcitx-module-dbus,
+ fcitx-module-kimpanel,
+ fcitx-module-lua,
+ fcitx-module-x11,
+ fcitx-table,
+ fcitx-tools,
+ gir1.2-fcitx-1.0,
+ libfcitx-config4,
+ libfcitx-core0,
+ libfcitx-gclient1,
+ libfcitx-qt0,
+ libfcitx-utils0,
 Description: graphic Fcitx configuration tool
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh  $@ --buildsystem=cmake
@@ -13,4 +14,4 @@
 	dh_auto_configure -- -DENABLE_GTK2=Off -DENABLE_GTK3=On
 
 dh_missing:
-	dh_missing
+	dh_missing --fail-missing

## fcitx-configtool 0.4.10.31

=== debian/changelog ===
fcitx-configtool (0.4.10.31-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Tue, 21 Dec 2021 16:27:58 +0800

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,6 @@
  fcitx-config-common (= ${source:Version}),
  fcitx, 
  fcitx-implugin,
- fcitx-defaultim,
  deepin-fcitxconfigtool-plugin,
  ${misc:Depends},
  ${shlibs:Depends},

## fcitx-configtool 0.4.10.32

=== debian/changelog ===
fcitx-configtool (0.4.10.32-2deepin) unstable; urgency=medium

  [ LiChengGang ]
  * 

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 24 Feb 2023 11:35:15 +0800

fcitx-configtool (0.4.10.32-1) unstable; urgency=medium

  * 为了龙芯1050集成升一位版本号

 -- Shijie Chen <chenshijie@uniontech.com>  Tue, 21 Dec 2021 15:55:00 +0800

## fcitx-configtool 0.4.10.36

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 3.1)
 
 project(fcitx-configtool)
+
+set(CMAKE_C_STANDARD_REQUIRED TRUE)
+set(CMAKE_C_STANDARD 99)
 
 option(ENABLE_GTK2 "Enable GTK2 Version" Off)
 option(ENABLE_GTK3 "Enable GTK3 Version" On)
@@ -11,7 +14,7 @@
 
 if(ENABLE_GTK3)
   pkg_check_modules(FCITX_GCLIENT "fcitx-gclient>=4.2.6" REQUIRED)
-  pkg_check_modules(GTK3 "gtk+-3.0>=3.4" REQUIRED)
+  pkg_check_modules(GTK3 "gtk+-3.0>=3.20" REQUIRED)
 endif()
 
 if(ENABLE_GTK2)

=== debian/changelog ===
fcitx-configtool (0.4.10.36-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Wed, 25 May 2022 13:46:56 +0800
